
import liste.*;
import static liste.ListeIntLib.*;
// importa le funzioni revLista, copiaLista, stampaLista
import static liste.ListeLibRic.*;      // ricorsive
//import static liste.ListeLibIter.*;     // iterative//
//import static liste.itera.IteraLib.*;   // basate sull'iteratore

/**
 * Classe con il main per provare l'iteratore su liste
 * 
 * @author Stefano Guerrini
 * @version Marzo 2009
 */
public final class ProvaListe
{
    /**
     * main per provare l'iteratore su liste
     */
    public static void main(String args[])
    {
        System.out.println();
        System.out.println("-- -- --");        

        Nodo l1 = intervalloLista(0,9);
        stampaLista(l1);
        System.out.println();

        Nodo l2 = intervalloLista(10,19);
        stampaLista(l2);
        System.out.println();
        
        System.out.println("-- -- --");

        Nodo l3 = revLista(l2);
        l3.append(revLista(l1));
        Nodo l4 = copiaLista(l3).reverse();
        stampaLista(l4);
        System.out.println();
        stampaLista(l3);
        System.out.println();

        System.out.println("-- -- --");
        
        l1 = randomLista(10,0,99);
        stampaLista(l1);
        System.out.println();
        l2 = insSort(l1);
        stampaLista(l2);
        System.out.println();
        l3 = insSortRic(l1);
        stampaLista(l3);
        System.out.println();

        System.out.println("-- -- --");
        
        System.out.println(Nodo.somma(l1));
        System.out.println(Nodo.somma(l2));
        System.out.println(l3.somma());
        System.out.println("-- -- --");
        
    }
}
